package jp.gr.java_conf.coskx.multipleactivities;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import androidx.appcompat.app.AppCompatActivity;

public class SubActivity extends AppCompatActivity implements View.OnClickListener {

    private final String TAG = "COSKX : SubActivity";
    private Intent intent;
    private int value;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        Log.i(TAG, "onCreate");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sub);
        Button mButton = (Button) findViewById(R.id.ID_button_sub);
        mButton.setOnClickListener(SubActivity.this);

        intent = getIntent();
        value = intent.getIntExtra(MainActivity.DATA_TO_SUB, 0);  //合言葉はDATA_TO_SUB
    }

    @Override
    public void onStart() {
        Log.i(TAG,"onStart");
        super.onStart();
    }

    @Override
    public void onResume() {
        Log.i(TAG,"onResume");
        super.onResume();
        TextView mTextView = (TextView) findViewById(R.id.ID_text_sub);
        mTextView.setText("received "+value);
    }

    @Override
    public void onPause() {
        Log.i(TAG,"onPause");
        super.onPause();
    }

    @Override
    public void onStop() {
        Log.i(TAG,"onStop");
        super.onStop();
    }

    @Override
    public void onRestart(){
        super.onRestart();
        Log.i(TAG, "onRestart");
    }

    @Override
    public void onDestroy() {
        Log.i(TAG,"onDestroy");
        super.onDestroy();
    }

    @Override
    public void onClick(View v) {
        Log.i(TAG, "onClick");
        if (v != null) {
            if (v.getId() == R.id.ID_button_sub) {
                //MainActivityにvalueを持って帰る
                int returnvalue = value + 1; // 1増やして返すことにする
                intent.putExtra(MainActivity.DATA_TO_MAIN, returnvalue);     //合言葉はMainActivityで定義されているDATA_TO_MAIN
                setResult(RESULT_OK, intent); //RESULT_OK または RESULT_CANCELED を返す 予約値
                // 自アクティビティを閉じ、もとのアクティビティに戻る
                finish();
            }
            /*
            switch (v.getId()) {

                case R.id.ID_button_sub:
                    //MainActivityにvalueを持って帰る
                    int returnvalue = value + 1; // 1増やして返すことにする
                    intent.putExtra(MainActivity.DATA_TO_MAIN, returnvalue);     //合言葉はMainActivityで定義されているDATA_TO_MAIN
                    setResult(RESULT_OK, intent); //RESULT_OK または RESULT_CANCELED を返す 予約値
                    // 自アクティビティを閉じ、もとのアクティビティに戻る
                    finish();
                    break;
            }
            */
        }
    }
}
